# exceptions.h File Reference

Declares the MySQL++-specific exception classes. More...

`#include "connection.h"`
`#include <exception>`
`#include <string>`

Include dependency graph for exceptions.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | mysqlpp

## Detailed Description

Declares the MySQL++-specific exception classes.

When exceptions are enabled for a given mysqlpp::OptionalExceptions derivative, any of these exceptions can be thrown on error.